Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update team

PATCH/workspaces/{organizationId}/teams/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
keystring
min length 1
namestring
min length 1
isPublicboolean
parentAutoCloseboolean
triageAssigneeIdstring | null
triageAgentIdstring | null
defaultTemplateIdstring | null
defaultRepostring | null
subIssueAutoCloseboolean
Responses
200

Team updated

idstringrequired
organizationIdstringrequired
keystringrequired
namestringrequired
ownerIdstringrequired
isDefaultbooleanrequired
isPublicbooleanrequired
parentAutoClosebooleanrequired
triageAssigneeIdstring | nullrequired
triageAgentIdstring | nullrequired
defaultTemplateIdstring | nullrequired
defaultRepostring | nullrequired
subIssueAutoClosebooleanrequired
createdAtstringrequired
updatedAtstringrequired
404

Team not found

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://pile.nyc/workspaces/string/teams/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "key": "string",
  "name": "string",
  "isPublic": true,
  "parentAutoClose": true,
  "triageAssigneeId": "string",
  "triageAgentId": "string",
  "defaultTemplateId": "string",
  "defaultRepo": "string",
  "subIssueAutoClose": true
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "key": "string",
  "name": "string",
  "ownerId": "string",
  "isDefault": true,
  "isPublic": true,
  "parentAutoClose": true,
  "triageAssigneeId": "string",
  "triageAgentId": "string",
  "defaultTemplateId": "string",
  "defaultRepo": "string",
  "subIssueAutoClose": true,
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?